Index: LMDZ4/branches/LMDZ4-dev/arch/arch-SX8_BRODIE.opt
===================================================================
--- LMDZ4/branches/LMDZ4-dev/arch/arch-SX8_BRODIE.opt	(revision 1250)
+++ LMDZ4/branches/LMDZ4-dev/arch/arch-SX8_BRODIE.opt	(revision 1250)
@@ -0,0 +1,12 @@
+%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
+
+bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
+bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR
+bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
+bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
+bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
+bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: LMDZ4/branches/LMDZ4-dev/arch/arch-SX8_MERCURE.opt
===================================================================
--- LMDZ4/branches/LMDZ4-dev/arch/arch-SX8_MERCURE.opt	(revision 1250)
+++ LMDZ4/branches/LMDZ4-dev/arch/arch-SX8_MERCURE.opt	(revision 1250)
@@ -0,0 +1,12 @@
+%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
+
+bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
+bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR
+bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
+bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
+bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
+bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.fcm
===================================================================
--- LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.fcm	(revision 1250)
+++ LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.fcm	(revision 1250)
@@ -0,0 +1,15 @@
+%COMPILER            sxmpif90
+%LINK                sxmpif90
+%AR                  sxar
+%MAKE                make
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
+%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R2 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
+%PROD_FFLAGS         -C vopt -pi expin=%SRC_PATH/%DYN/cray.F exp=ssum,scopy
+%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
+%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
+%MPI_FFLAGS
+%OMP_FFLAGS          -P openmp
+%BASE_LD             -size_t64 -lblas -lfft
+%MPI_LD
+%OMP_LD              -P openmp  -Wl,"-ZL 3G"
Index: LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.opt
===================================================================
--- LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.opt	(revision 1250)
+++ LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.opt	(revision 1250)
@@ -0,0 +1,12 @@
+%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
+
+bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
+bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR
+bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
+bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
+bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
+bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
+bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.path
===================================================================
--- LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.path	(revision 1250)
+++ LMDZ4/branches/LMDZ4-dev/arch/arch-SX9_MERCURE.path	(revision 1250)
@@ -0,0 +1,10 @@
+NETCDF_LIBDIR=/usr/local/SX8/soft/netcdf/lib
+NETCDF_INCDIR=/usr/local/SX8/soft/netcdf/include
+IOIPSL_INCDIR=$WORKDIR/IOIPSL_MPP/src
+IOIPSL_LIBDIR=$WORKDIR/IOIPSL_MPP/src
+ORCH_INCDIR=$LMDGCM/../../lib
+ORCH_LIBDIR=$LMDGCM/../../lib
+OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
+OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
+INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
+INCA_INCDIR=$LMDGCM/../INCA3/config/lib
